{% extends 'base.html' %}
{% load static %}
{% block title %}Widget's Announcement Board{% endblock %}
{% block content %}
    <div class="container-fluid p-3 bg-dark text-white text-center">
        <br>
            <h1 class="display-4">Welcome to Widget's Announcement Board!</h1>
        <br>
    </div>
    <div class="container my-5 text-center">
        <h3 class="display-6">Announcements:</h3>
        <br>
        {% for object in announcements %}
            <p><a href="{{ object.get_absolute_url }}">{{ object.title }} by {{ object.author.first_name }} {{ object.author.last_name }} </a></p>
        {% endfor %}
        <br><br>
        <div class="container">
            <div class="row">
                <div class="col-6">
                    <a href="/announcements/add"><button type="button" class="btn btn-primary">New Announcement</button></a>
                </div>
                <div class="col-6">
                    <a href="/dashboard/"><button type="button" class="btn btn-primary">Dashboard</button></a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
